CVE-2018-19882

NameCVE-2018-19882
DescriptionIn Artifex MuPDF 1.14.0, the svg_run_image function in svg/svg-run.c allows remote attackers to cause a denial of service (href_att NULL pointer dereference and application crash) via a crafted svg file, as demonstrated by mupdf-gl.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mupdf (PTS)jessie1.5-1+deb8u4vulnerable
jessie (security)1.5-1+deb8u6vulnerable
stretch (security), stretch1.9a+ds1-4+deb9u4vulnerable
buster1.14.0+ds1-4vulnerable
bullseye, sid1.15.0+ds1-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mupdfsource(unstable)(unfixed)unimportant

Notes

Negligable security impact, crash in CLI tool
https://bugs.ghostscript.com/show_bug.cgi?id=700342
https://github.com/TeamSeri0us/pocs/tree/master/mupdf/20181203

Search for package or bug name: Reporting problems